/**@file multiKP_main.cpp
 * @brief main file for the multiKP example
 * @author Luigi De Giovanni
 */

#include "multiKP.hpp"
#include <cstdlib>
#include <iostream>
#include "scip_exception.hpp"

using namespace std;
using namespace scipMeMOC;


/** main function for queens example */
int
main(
     int args,
     char ** argv
     )
{
   cout << "********************************************" << endl;
   cout << "* multiKP solver based on SCIP             *" << endl;
   cout << "*                                          *" << endl;
   cout << "* (c) Luigi De Giovanni (2007)             *" << endl;
   cout << "********************************************" << endl << endl;

   if (args < 2)
   {
      cerr << "call " << argv[0] << " <data file>" << endl;
      exit(1);
   }

   try
   {
      // initialize the queens solver
      MultiKPSolver solver(argv[1]);

      // solve the queens problem
      solver.solve();

      // display the solution on stdout
      solver.display();

   } catch(SCIPException& exc)
   {
      cerr << exc.what() << endl;
      exit(exc.getRetcode());
   }
   return EXIT_SUCCESS;
}

